# Interface BimIfcMeshIntersectionRayOptions

BimIfcMesh intersection options for intersection with Ray.

interface BimIfcMeshIntersectionRayOptions {
isAABBIntersectionEnabled?: boolean;
isCenterIntersectionFallbackEnabled?: boolean;
isGeometryIntersectionEnabled?: boolean;
ray: Ray;
}

#### Hierarchy (View Summary)

- BimIfcMeshIntersectionCameraCommonOptions
  - BimIfcMeshIntersectionRayOptions

##### Index

### Properties

isAABBIntersectionEnabled?
isCenterIntersectionFallbackEnabled?
isGeometryIntersectionEnabled?
ray

## Properties

### `Optional` isAABBIntersectionEnabled

isAABBIntersectionEnabled?: boolean

If `true`, an intersection test against the AABB is performed. This test also requires that isGeometryIntersectionEnabled === `false` or that no geometry intersection is found.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isAABBIntersectionEnabled

### `Optional` isCenterIntersectionFallbackEnabled

isCenterIntersectionFallbackEnabled?: boolean

If `true`, fall back to use the object center as intersection point if no intersection point is otherwise found.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isCenterIntersectionFallbackEnabled

### `Optional` isGeometryIntersectionEnabled

isGeometryIntersectionEnabled?: boolean

If undefined or `true` then a (computationally expensive) intersection test will be performed against geometry to find out exactly where intersection is.

Inherited from BimIfcMeshIntersectionCameraCommonOptions.isGeometryIntersectionEnabled

### `Readonly` ray

ray: Ray

Perform intersection with a ray. Ray is specified in BabylonJS world coordinates